/*
//
//				timonix.pl - reguły javascript\jquery
//									V.1.0
//				  Wszelkie Prawa Zaszczeżone by Timonix
//
*/

	$(document).ready(function(){

		// pobieranie danych z dokumentu
		const dokument = $(document); 
		const header = $("header");
		const main = $("main"); 
		
		// pobieranie elementów klass fixed-to-scroll
		var menu = $(".fixed-to-scroll");
		// scroll-to-effect
		var box_effect = $(".scroll-to-effect");
		
		// funkcjia na ustawianie menu na fixed po skrolowanie 
		
		dokument.on("scroll", function(){
			
			// aktualna wartość scrola
			const scrollPos = dokument.scrollTop();
			// aktualna pozycia maina
			const mainOffest = main.offset().top;
			// aktualna pozycia hedera
			const headerHeight = header.outerHeight();
			
			// aktualna pozycia maina
			///////const scroll_to_top_pos = menu.offset().top;
			// aktualna pozycia hedera
			const box_effectHeight = box_effect.outerHeight();
			
			// sprawdzanie czy scroll jest w mainem
			if(scrollPos > mainOffest){
				menu.css({
				//	'position': 'fixed',
				'display': 'block;', 
				}).find("nav").addClass("tsr-nav-menu-fixed");
			}else{
				menu.css({
				//	'position': 'fixed', 
				}).find("nav").removeClass("tsr-nav-menu-fixed");
			}

			// gradientowanie lite boxa po scrollu
			if (scrollPos < mainOffest) {
				box_effect.css({
					'display': 'block', 
					'opacity': 1 - scrollPos / box_effectHeight,
					'filter': 'grayscale(' + 2 * scrollPos / box_effectHeight + ')'
				})
		   }

		   if (scrollPos > mainOffest) {
				box_effect.css({
					'display': 'contents', 
					'opacity': '1',
					'filter': 'grayscale(0)'
				})
		   }
			
		})
		
	});